// Copyright 2007-2012 OpenNETCF Consulting, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining 
// a copy of this software and associated documentation files (the "Software"), 
// to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in 
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.

using System;
using System.Collections.Generic;
using System.Text;

namespace OpenNETCF.Media.MP3.Frames
{
    /// <summary>
    /// 
    /// </summary>
    /// <remarks>
    /// %0h00kmnp
    ///  h - Grouping identity
    ///  k - Compression
    ///  m - Encryption
    ///  n - Unsynchronisation
    ///  p - Data length indicator
    /// </remarks>
    [Flags]
    internal enum FrameFormatFlags
    {
        None = 0x00,
        DataLengthIndicatorExists = 0x01,
        UnsynchronizationSet = 0x02,
        Encrypted = 0x04,
        Compressed = 0x08,
        ContainsGroupInfo = 0x40,
    }
}
